Delete Storage Policy Mapping

Delete Storage Policy Mapping

Delete a configured storage policy mapping for an SRM in a given pairing.

Request
URI
DELETE
https://{api_host}/pairings/{pairing_id}/srms/{srm_id}/inventory-mappings/storage-policies/{mapping_id}
COPY
Path Parameters
string
pairing_id
Required

The ID of a pairing between this Site Recovery Manager server and remote one

string
srm_id
Required

The ID of the SRM instance to manage inventory mappings for

string
mapping_id
Required

The ID of the mapping


Authentication
This operation uses the following authentication methods.
Responses
204

The storage policy mapping is removed.

Operation doesn't return any data structure

400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
{
    "error_code": "string",
    "message": "string",
    "op_id": "string"
}
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


404

Not Found - server cannot find the requested in URL resource

Operation doesn't return any data structure

500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/srms/{srm_id}/inventory-mappings/storage-policies/{mapping_id}